Bug 620519 - Upgrade to fedora 13 / Live CD boot failure (2.6.31.6-145,fc12 kernel OK)
Upgrade to fedora 13 / Live CD boot failure (2.6.31.6-145,fc12 kernel OK)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-02 14:39 EDT by Marcus Hall
Modified: 2013-01-10 01:06 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 08:39:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stack trace during PCI enumeration (818.89 KB, image/jpeg)
2010-08-04 17:34 EDT, Marcus Hall
no flags Details

  None (edit)
Description Marcus Hall 2010-08-02 14:39:40 EDT
Description of problem:

System was upgraded via yum from fc12->fc13.  During boot, after starting udev,
I see repeated messages forever:

Process events/0 (pid: 6, ti=df074000 task=df043f00 task.ti=df074000)
Stack:
Call Trace:
Code: 88 00 01 00 00 75 05 3e 66 0f b1 0a 0f 94 c1 0f b6 c1 85 c0 0f 95 c0 0f b6 c0 5d c3 55 ba 00 01 00 00 89 e4 3e 66 0f c1 10 38 f2 <74> 06 f3 90 8a 10 eb f6 5d c3 55 89 c1 89 e5 53 9c 58 8d 44 20

There is occasionally another variant of the Code: line..

If I insert the FC13 live CD, I get the same behaviour.  If I boot to the old
FC12 kernel (2.6.31.6-145.fc12.i686.PAE), the system does come up enough to
function as a server.  I have tried several FC13 kernels, currently at
2.6.33.6-147.fc13.i686.PAE.

This is an AMD XP 2500+ KT400 system, smolt profile is at:
http://www.smolts.org/client/show_all/pub_0d219bfc-80ec-4dff-a3e8-28004b941198

Version-Release number of selected component (if applicable):

kernel 2.6.33.6-147.fc13.i686.PAE.

How reproducible:

Try to boot from the live CD

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Hangs with the above messages

Expected results:

Successful boot.

Additional info:
Comment 1 Chuck Ebbert 2010-08-03 18:49:56 EDT
Remove "quiet" and add "ignore_loglevel" to the end of the kernel line in /etc/grub.conf and you should be able to get the entire error message. You can take a picture with a digital camera and attach that if the error doesn't make it to the logs.
Comment 2 Marcus Hall 2010-08-04 17:34:26 EDT
Created attachment 436678 [details]
stack trace during PCI enumeration

It seems that the netjet driver is claiming my digium TDM400 board, which I suppose it does not really want and is getting confused.  The digium board is:

00:09.0 0780: e159:0001
	Subsystem: b119:0003
	Flags: bus master, medium devsel, latency 32, IRQ 11
	I/O ports at d000 [size=256]
	Memory at e2000000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [40] Power Management version 2
	Kernel driver in use: wctdm
	Kernel modules: wctdm, hisax

I will put netjet into the blacklist and try that tonight.
Comment 3 Marcus Hall 2010-08-05 16:35:32 EDT
OK, blacklisting the netjet driver solves the problem.  I did see that there is a patch somewhere in the works to make netjet discriminate better before claiming a board, so it looks like a fix is in the works upstream.

Thanks!
Comment 4 Bug Zapper 2011-06-01 08:16:14 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-29 08:39:03 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.